{
  "$schema": "https://github.com/fastfetch-cli/fastfetch/raw/master/doc/json_schema.json",
  "modules": [
    "title",
    "separator",
    "os",
    "host",
    "kernel",
    "uptime",
    {
      "type": "command",
      "key": "Packages",
      "text": "rust-script -e 'use std::process::Command;\n\nfn run(cmd: &str) -> String {\n    String::from_utf8(\n        Command::new(\"sh\")\n            .arg(\"-c\")\n            .arg(cmd)\n            .output()\n            .unwrap()\n            .stdout,\n    )\n    .unwrap()\n    .trim()\n    .to_string()\n}\n\nlet xbps = run(\"xbps-query -l | wc -l\");\nlet cargo = run(\"cargo install --list | grep -c \\\":\\\"\");\nlet flatpak = run(\"flatpak list | tail -n +2 | wc -l\");\nlet pipx = run(\"pipx list --short | wc -l\");\n\nprintln!(\"{} (xbps), {} (cargo), {} (flatpak), {} (pipx)\", xbps, cargo, flatpak, pipx);'"
    },
    "shell",
    "de",
    "wm",
    "terminal",
    "terminalfont",
    "cpu",
    "gpu",
    "memory",
    "swap",
    "disk",
    "break",
    "colors"
  ]
}